Create Workflow Policy

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given workflow policy. If the upsert query param is set to truethen, instead of performing a create, the API will switch to performing an upsert. For an upsert request, the following fields are required:

Required Upsert Fields:

  • ownerType
  • ownerId
  • type

When performing an upsert, the above fields will be used to determine whether the workflow policy resource already exists. If the workflow policy already exists, a partial update will be performed; otherwise, a new workflow policy entity will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
workflow-policy:writeApplicationThe subject can create workflow policies under the application that the subject belongs to.
TenantThe subject can create workflow policies for the tenant the subject belongs to.
Tenant Inclusion ListThe subject can create workflow policies for tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can create workflow policies for tenants in the subject's application who are not on the tenant exclusion list.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

Workflow Policy JSON object

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json